#version 450

vec2 big_triangle_pos[3] = vec2[](
    vec2(-1, -1), vec2(-1, 3), vec2(3, -1)
);

vec2 big_triangle_tex[3] = vec2[](
    vec2(0, 1), vec2(0, -1), vec2(2, 1)
);

layout(location = 0) out vec2 vsout_tex;

layout(push_constant, std430) uniform pc {
    vec2 region_tex_scale;
};

void main() {
    vsout_tex = big_triangle_tex[gl_VertexIndex] * region_tex_scale;
    gl_Position = vec4(big_triangle_pos[gl_VertexIndex], 0, 1);
}
